Subject: [bug#66968] [PATCH] gnu: linux-libre: add linux-libre-stable & linux-libre-longterm

From: Leo Famulari <[email-masked]>
Date: Fri, 13 Sep 2024 11:50:54 -0400

On Fri, Sep 13, 2024 at 11:36:10PM +0900, Maxim Cournoyer wrote:
> >  (define-public linux-libre-headers linux-libre-headers-5.15.49)
> > +(define-public linux-libre-stable linux-libre-headers-6.5)
> > +(define-public linux-libre-longterm linux-libre-headers-6.1)
> 
> Sounds like a reasonable thing to have.  Leo, Wilko, what do you think?

The package named 'linux-libre' is by definition the latest stable
kernel:

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/linux.scm?id=22a34ea792ef0df15fd30d46f557b572c61d5404#n513

Should we add an alias for it?

We also have a package called 'linux-libre-lts', which is supposed to be
the most recent kernel with long-term support.

I think the phrasing "longterm" is more idiomatic for Linux, so we could
replace the -lts package with a -longterm package if people prefer that.